none
SQL Server 2008 R2 - Cumulative update & Express

    Question

  • I need to do an upgrade from SQL Server 2008 R2 to SQL Server 2008 R2 CU1. We have express in development and QA but non-express in production. Is the download to go to CU1 the same download for express as it is for non-express?

    Also, what file do I download - when I go to the download page, I can't tell what fix name to download. What is the difference between 2008R2_SP2 and SQLServer2008R2_SP2 - aren't they both sql server? And I don't understand the MDS, SNAC and RSShrPnt?  Thanks.

    Tuesday, February 26, 2013 12:05 AM

Answers

  • Yes, that's correct.  That can be applied to both instances.

    Thanks,
    Sam Lester (MSFT)


    My Blog

    This posting is provided "AS IS" with no warranties, and confers no rights. Please remember to click "Mark as Answer" and "Vote as Helpful" on posts that help you. This can be beneficial to other community members reading the thread.

    • Marked as answer by Katgat Tuesday, February 26, 2013 1:43 AM
    Tuesday, February 26, 2013 12:36 AM

All replies

  • Hi, keep in mind that the CU's apply to a specific service pack and that the count starts over for each SP.  Ex:  SP1 CU1 is different than SP2 CU1.  The most recent SP/CU combo available today is SQL Server 2008 R2 SP2 CU5 available here.  When you click the download link, it takes you to a list of available files.  In this case, you'll want the file titled SQLServer2008R2_SP2_CU5_2797460_10_50_4276_x64.  The MDS, SNAC, and RSShrPnt files are to upgrade other SQL Server redists. 

    In order to apply the SP2 CU, you will first need to install SP2 from here.  SP1 is not needed as the SP's are cumulative and you can install SP2 directly.

    Thanks,
    Sam Lester (MSFT)


    My Blog

    This posting is provided "AS IS" with no warranties, and confers no rights. Please remember to click "Mark as Answer" and "Vote as Helpful" on posts that help you. This can be beneficial to other community members reading the thread.

    Tuesday, February 26, 2013 12:24 AM
  • Hi Samuel, My typo, we do have 2008 R2 SP2, sorry I accidentally left off the SP2.  But I need to update dev and QA to CU1 because our production sql server is hosted in the cloud and the data center is upgrading to that version so I need to update our dev and QA to that before then to ensure no issues.   So I just need SQLServer2008R2_SP2_CU1_2720425_10_50_4260_x64?  And that works for both express and non-express?  Thanks.
    Tuesday, February 26, 2013 12:36 AM
  • Yes, that's correct.  That can be applied to both instances.

    Thanks,
    Sam Lester (MSFT)


    My Blog

    This posting is provided "AS IS" with no warranties, and confers no rights. Please remember to click "Mark as Answer" and "Vote as Helpful" on posts that help you. This can be beneficial to other community members reading the thread.

    • Marked as answer by Katgat Tuesday, February 26, 2013 1:43 AM
    Tuesday, February 26, 2013 12:36 AM
  • Thank you.
    Tuesday, February 26, 2013 1:43 AM